Retrieves all the user_skill_list objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "29878279-f80c-4951-b42c-b833b1d88644",
"user_id": "a0d88328-c31b-40bd-82e9-e6e1bf49dc8d",
"user_code": "sample string 3",
"user": {
"id": "f8c4df3e-3c42-44cc-82d4-b3e6e693ac8d",
"db_language_id": "21e66cac-ea57-4a3b-b600-009bd09e3119",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-28T21:48:09.5813553+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "cdc7d14a-c5eb-4d23-b65f-aef223582fa2",
"sales_organization": {
"id": "fc5930d7-bbaf-44be-875c-c203523e5a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "37c5d897-fcee-4e63-8a8e-b3f4b44fe125",
"db_currency_id": "536eb626-2500-4570-9b0e-dded6e9e2ca3",
"db_language_id": "b9544a41-6873-435b-af2f-98b72ada6bdb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:09.5813553+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "59cb7e89-cddb-410f-8892-a44bfbaa8066",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "1d9b06eb-59d6-4e88-9eaf-20cc9f34a5eb",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-28T21:48:09.5813553+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "f50cdd9b-69a5-4ac8-adb9-a3a28d9d02d5"
},
"skill_id": "91672429-8f04-45b9-80ee-1c72eb9b7e71",
"skill_code": "sample string 5",
"skill": {
"id": "c7250758-269e-40b2-9129-8fbc1347fcd4",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "a1f16e82-f560-4881-8bf1-4e519a5a90ee",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "fc5930d7-bbaf-44be-875c-c203523e5a35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "37c5d897-fcee-4e63-8a8e-b3f4b44fe125",
"db_currency_id": "536eb626-2500-4570-9b0e-dded6e9e2ca3",
"db_language_id": "b9544a41-6873-435b-af2f-98b72ada6bdb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:09.5813553+00:00"
},
"modified_dateutc": "2026-10-28T21:48:09.5813553+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-10-28T21:48:09.5813553+00:00"
}